SolrDocument::current
SolrDocument::__destruct
SolrDocument
PHP Manual

# SolrDocument::deleteField

(PECL solr >= 0.9.2)

SolrDocument::deleteField — Removes a field from the document

### Description

public bool SolrDocument::deleteField ( string `$fieldName` )

Removes a field from the document.

### Parameters

`fieldName`

  Name of the field

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SolrDocument::current
SolrDocument::__destruct
SolrDocument
PHP Manual